function [Tlambda, loglike] = Functionsmt(beta)
global fBasis;
global Y_global;
global Fvector;
global lambda_global;
global nmain_global;
[sampsize nbeta] = size(fBasis);

% evaluate B*c and its exponential; store the latter in the global 
% variable Fvector as it is useful for gradient and Hessian computations 
  
logit=fBasis*beta;
Fvector = exp(logit);
  
% evaluate loglike a little differently from Weiliang's code (but
% hopefully equivalently)

loglike = (1/sampsize) * sum(-Y_global.*logit + log(1+Fvector));
% evalate the regularization term
cnorm1 = sum(abs(beta(1:nmain_global(1))));
cnorm2 = sum(abs(beta(nmain_global(1)+1:nbeta-1)));

% finally the full objective function
Tlambda = loglike + lambda_global(1)*cnorm1 + lambda_global(2)*cnorm2;

return;