function [partialGrad] = Gradient(beta, beta_inx)
% computes the entries of the gradients corresponding to indices in
% beta_inx. Assumes that Functions() has been called previously
% with the same beta, to calculate Fvector 

global fBasis;
global Y_global;
global Fvector;
sampsize = size(fBasis,1);
 
% calculate a useful transformation of Fvector which is used repeatedly
Ftemp = (-Y_global + Fvector./(1+Fvector));
  
% now the result
partialGrad = (1/sampsize) * fBasis(:,beta_inx)'*Ftemp;
  
return;