% testing glps (single-machine version)

% load data set (uncomment one of the two lines below)
% load data_simple1.mat
load data_simple2.mat

% define range of first-stage regularization parameters to use
loglambda0_arr=[-1.5:.2:-.5];
% define the dimemsion of each group
nvargroup=101;

% solve the problem for each value of loglambda0
fm=[];
for i=1:length(loglambda0_arr)
  loglambda0 = loglambda0_arr(i);
  fprintf(1,'\n\n ******************************************\n');
  fprintf(1,'\nDimensions %d x %d, loglambda0=%6.2f\n', size(X), ...
          loglambda0);
  fmtemp=glps(X,Y,loglambda0,nvargroup);
  fprintf(1,'\n Results for loglambda0=%6.2f\n\n',loglambda0);
  if isempty(fmtemp.inxg)
    fprintf(1,'No variables selected in group stage\n');
  else
    fprintf(1,'Main Vars selected in group stage:\n')
    for jj=1:length(fmtemp.inxg.main)
      fprintf(1,' %d  ',fmtemp.inxg.main(jj));
    end
    fprintf(1,'\nInteractions selected at group stage:\n');
    for jj=1:length(fmtemp.inxg.inter)
      fprintf(1,' (%d, %d)\n',fmtemp.inxg.inter(jj,1), ...
              fmtemp.inxg.inter(jj,2));
    end
    fprintf(1,'\nPatterns selected in final stage:\n');
    for jj=1:length(fmtemp.pattern)
      fprintf(1,' (%d, %d)\n', fmtemp.pattern(jj,1), fmtemp.pattern(jj,2));
    end
    fprintf(1,'\n\n');
  end
  fprintf(1,'Running time: %7.1f\n', fmtemp.info.runtime);
  fm=[fm;fmtemp];
end
